diff mbox series

[ovs-dev] docs: To build OVS on RHEL7 EPEL is needed

Message ID d6a0d540dffa6c6d2d20d79c16a902730da5a1ea.1572018082.git.tredaelli@redhat.com
State New
Headers show
Series [ovs-dev] docs: To build OVS on RHEL7 EPEL is needed | expand

Commit Message

Timothy Redaelli Oct. 25, 2019, 3:41 p.m. UTC
Since Python 3 is now mandatory, Extra Packages for Enterprise Linux
(EPEL) repository is needed in order to build OVS on RHEL7.

Signed-off-by: Timothy Redaelli <tredaelli@redhat.com>
---
 Documentation/intro/install/fedora.rst | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comments

0-day Robot Oct. 25, 2019, 3:59 p.m. UTC | #1
Bleep bloop.  Greetings Timothy Redaelli, I am a robot and I have tried out your patch.
Thanks for your contribution.

I encountered some error that I wasn't expecting.  See the details below.


checkpatch:
WARNING: Line is 88 characters long (recommended limit is 79)
#28 FILE: Documentation/intro/install/fedora.rst:71:
    $ yum install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

Lines checked: 34, Warnings: 1, Errors: 0


Please check this out.  If you feel there has been an error, please email aconole@redhat.com

Thanks,
0-day Robot
Ben Pfaff Oct. 25, 2019, 5:29 p.m. UTC | #2
On Fri, Oct 25, 2019 at 05:41:22PM +0200, Timothy Redaelli wrote:
> Since Python 3 is now mandatory, Extra Packages for Enterprise Linux
> (EPEL) repository is needed in order to build OVS on RHEL7.
> 
> Signed-off-by: Timothy Redaelli <tredaelli@redhat.com>

Thanks, applied to master.
diff mbox series

Patch

diff --git a/Documentation/intro/install/fedora.rst b/Documentation/intro/install/fedora.rst
index 6fe1fb5b2..c6d1d83ae 100644
--- a/Documentation/intro/install/fedora.rst
+++ b/Documentation/intro/install/fedora.rst
@@ -63,11 +63,12 @@  The command below will create a temporary SPEC file::
       > /tmp/ovs.spec
 
 And to install specific dependencies, use the corresponding tool below.
-For some of the dependencies on RHEL you may need to add two additional
+For some of the dependencies on RHEL 7 you may need to add three additional
 repositories to help yum-builddep, e.g.::
 
     $ subscription-manager repos --enable=rhel-7-server-extras-rpms
     $ subscription-manager repos --enable=rhel-7-server-optional-rpms
+    $ yum install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
 
 DNF::